| AOMedia AV1 Codec

Data Fields
CommonContexts Struct Reference

Contexts used for transmitting various symbols in the bitstream. More...

`#include <av1_common_int.h>`

## Data Fields
PARTITION_CONTEXT ** | partition
ENTROPY_CONTEXT ** | entropy [3]
TXFM_CONTEXT ** | txfm
int | num_planes
int | num_tile_rows
int | num_mi_cols

## Detailed Description

Contexts used for transmitting various symbols in the bitstream.

## Field Documentation

## ◆ partition

PARTITION_CONTEXT** CommonContexts::partition

Context used by 'FRAME_CONTEXT.partition_cdf' to transmit partition type. partition[i][j] is the context for ith tile row, jth mi_col.

## ◆ entropy

ENTROPY_CONTEXT** CommonContexts::entropy[3]

Context used to derive context for multiple symbols:

- 'TXB_CTX.txb_skip_ctx' used by 'FRAME_CONTEXT.txb_skip_cdf' to transmit to transmit skip_txfm flag.
- 'TXB_CTX.dc_sign_ctx' used by 'FRAME_CONTEXT.dc_sign_cdf' to transmit sign. entropy[i][j][k] is the context for ith plane, jth tile row, kth mi_col.

## ◆ txfm

TXFM_CONTEXT** CommonContexts::txfm

Context used to derive context for 'FRAME_CONTEXT.txfm_partition_cdf' to transmit 'is_split' flag to indicate if this transform block should be split into smaller sub-blocks. txfm[i][j] is the context for ith tile row, jth mi_col.

Referenced by av1_nonrd_use_partition(), av1_rd_pick_partition(), and av1_rd_use_partition().

## ◆ num_planes

int CommonContexts::num_planes

Dimensions that were used to allocate the arrays above. If these dimensions change, the arrays may have to be re-allocated. Corresponds to av1_num_planes(cm)

## ◆ num_tile_rows

int CommonContexts::num_tile_rows

Corresponds to cm->tiles.row

## ◆ num_mi_cols

int CommonContexts::num_mi_cols

Corresponds to cm->mi_params.mi_cols

The documentation for this struct was generated from the following file:

- av1/common/av1_common_int.h